Loading...
Searching...
No Matches
serial.c File Reference
Rig (transceiver) Internal API

Serial port IO. More...

`#include "hamlib/config.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <ctype.h>`
`#include "hamlib/rig.h"`
`#include "hamlib/port.h"`
`#include "serial.h"`
`#include "misc.h"`
`#include "microham.h"`
Include dependency graph for serial.c:

## Functions

int | serial_open (hamlib_port_t *rp)
| Open serial port using port data only.
int | serial_setup (hamlib_port_t *rp)
| Set up Serial port according to requests in port.
int | serial_flush (hamlib_port_t *p)
| Flush all characters waiting in RX buffer.
int | ser_open (hamlib_port_t *p)
| Open serial port.
int | ser_close (hamlib_port_t *p)
| Close serial port.
int | ser_set_rts (hamlib_port_t *p, int state)
| Set Request to Send (RTS) bit.
int | ser_get_rts (hamlib_port_t *p, int *state)
| Get RTS bit.
int | ser_set_dtr (hamlib_port_t *p, int state)
| Set Data Terminal Ready (DTR) bit.
int | ser_get_dtr (hamlib_port_t *p, int *state)
| Get DTR bit.
int | ser_set_brk (const hamlib_port_t *p, int state)
| Set Break.
int | ser_get_car (hamlib_port_t *p, int *state)
| Get Carrier (CI?) bit.
int | ser_get_cts (hamlib_port_t *p, int *state)
| Get Clear to Send (CTS) bit.
int | ser_get_dsr (hamlib_port_t *p, int *state)
| Get Data Set Ready (DSR) bit.

## Detailed Description

Serial port IO.